<script setup>
defineProps({
  title: {
    type: String,
    required: true
  }
})
</script>

<template>
  <section class="l-category-section">
    <h3 class="l-category-section__title">
      {{ title }}
    </h3>
    <div class="l-category-section__content">
      <slot />
    </div>
  </section>
</template>

<style lang="scss" scoped>
  .l-category-section {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    gap: 1rem;
    &__title {
      font-size: 12px;
      color: $complementary-white;
    }
    &__content {
      position: relative;
      min-height: 220px;
    }
  }

  @media all and (max-height: 800px) {
    .l-category-section {
      &__content {
        min-height: 180px;
      }
    }
  }
</style>
